Subject: bug#2375: 23.0.90; ^ in gnus summary buffer does not work in the nextstep build

From: David Engster <[email-masked]>
Date: Sat, 21 Feb 2009 01:45:10 +0100

Stefan Monnier <[email-masked]> writes:
>>>>> What happens after the patch below?
>>>> The patch makes "^" bindings work in Gnus. Thanks!
>>> Now I didn't expect that.  I guess that's good, tho.
>> Hitting ^+space works. I'd say that's good. :-)
>
> Oh, I get it: so hitting ^ doesn't do anything, but hitting ^ SPC
> does trigger the Gnus command bount to ^.

Exactly, since dead-key+space enters the compose character
itself. Hitting ^ does trigger the "buffer read-only" warning though,
since the code tries to insert the overlay at that point.

> Yes, that makes sense.  We could supposedly improve this to actually
> make ^ call the proper Gnus command directly, but the patch doesn't
> try to do that.

Yes, while playing around with the code I implemented that (it still did
"swallow" the next keypress though, so it's not really usable), and I
wondered if this behaviour could be confusing to some people, since they
might expect that the "^" _character_ and not the keypress itself
triggers a command? (I usually use the US layout, so I don't have a
strong opinion on that anyway :-) ).

>>> But does the ^ character still behave properly as a dead-key in normal
>>> editing buffers?
>> Yes, it does.
>
> Good.  I'll install it as soon as I get back to the machine on which
> I wrote it ;-)

OK, thanks again!

-David